
@mixin mobile-only {
    @media only screen and (max-width: map-get($map: $breakpoints, $key: mobile)) {
        @content;
    }
}

@mixin tablet-only {
    @media only screen and (max-width: map-get($map: $breakpoints, $key: tablet)) and (min-width: (map-get($map: $breakpoints, $key: mobile) + 1)) {
        @content;
    }
}

@mixin desktop-only {
    @media only screen and (min-width: map-get($map: $breakpoints, $key: desktop)) {
        @content;
    }
}

@mixin heart_Icon {
         
      & i:hover::before{
        transition: all 1s ease;
        background-clip: text;
        -webkit-background-clip: text;
        font-weight: bold;
        background-image: linear-gradient($color-secondary,$color-primary);
        -webkit-text-fill-color: transparent;
      }

}


@mixin title-display ($n-items) {
    
    animation: display-title $anim-title-dur cubic-bezier(0.25, 0.1, 0.36, 0.59) both;
    
    @for $i from 1 through 3 {
     
       @if ($i != 1) and ($i % 2 == 0) {
           
            @if ($n-items % 2 == 0){
              &-#{$i}{
                animation-delay: $anim-title-dur * 2 + $anim-dur * 3;
              }
            }@else { 
                &-#{$i}{
                    animation-delay: $anim-title-dur * 2 + $anim-dur * 2;
                }
            }
       }@else if ($i != 1) and ($i % 2 != 0){
           
         @if ($n-items % 2 == 0){
            &-#{$i}{
              animation-delay: $anim-title-dur * 2 + $anim-dur * 6;
            }
          }@else { 
              &-#{$i}{
                  animation-delay: $anim-title-dur * 2 + $anim-dur * 5;
              }
          }

       }

    }
}


@mixin menu-anim($n-items) {
    
    @for $i from 1 through $n-items {

       &-#{$i}{

        animation: display-menu $anim-dur cubic-bezier(0.25, 0.1, 0.36, 0.59) both;

         @if ($n-items % 2 == 0) {

             @if ($i == 1) {

                animation-delay: $anim-title-dur;

             }
             @else if ($i >= 2) and ($i <=4) {

                animation-delay: $anim-title-dur + $anim-delay * ($i - $unit);

             }@else if ($i <= 5) and ($i <= 7) {

                animation-delay: $anim-title-dur  + $anim-delay * ($i - $unit);

             }@else {

                animation-delay: $anim-title-dur  + $anim-delay * ($i - $unit);

             }

            }@else{
              
            @if ($i == 1) {

                animation-delay: $anim-title-dur;

             }
             @else if ($i >= 2) and ($i <=3) {

                animation-delay: $anim-title-dur + $anim-delay * ($i - $unit);

             }@else if ($i >= 4) and ($i <= 6) {

                animation-delay: $anim-title-dur  + $anim-delay * ($i - $unit);

             }@else if ($i >= 7){

                animation-delay: $anim-title-dur + $anim-delay * ($i - $unit);

             }

         }

       }
    }
}